Rearranged preprocessor statements containing version checks such that these
[mirror/scst/.git] / scst / src / scst_main.c
index 4a56cb8..af1272a 100644 (file)
@@ -40,9 +40,8 @@
  details."
 #endif
 
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 26)
-#if !defined(SCSI_EXEC_REQ_FIFO_DEFINED) && \
-    !defined(CONFIG_SCST_STRICT_SERIALIZING)
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 26) && !defined(SCSI_EXEC_REQ_FIFO_DEFINED)
+#if !defined(CONFIG_SCST_STRICT_SERIALIZING)
 #warning "Patch scst_exec_req_fifo-<kernel-version> was not applied on\
  your kernel and CONFIG_SCST_STRICT_SERIALIZING isn't defined.\
  Pass-through dev handlers will not work."
@@ -915,9 +914,8 @@ int __scst_register_dev_driver(struct scst_dev_type *dev_type,
        if (res != 0)
                goto out_error;
 
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 26)
-#if !defined(SCSI_EXEC_REQ_FIFO_DEFINED) && \
-    !defined(CONFIG_SCST_STRICT_SERIALIZING)
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 26) && !defined(SCSI_EXEC_REQ_FIFO_DEFINED)
+#if !defined(CONFIG_SCST_STRICT_SERIALIZING)
        if (dev_type->exec == NULL) {
                PRINT_ERROR("Pass-through dev handlers (handler \"%s\") not "
                        "supported. Consider applying on your kernel patch "